Get employee profile data
Returns detailed employee profile information including personal data, contact information, and address.
What is returned:
- Personal information (name, email, phone, birth date)
- Professional details (title, degree)
- Complete address information
- Digital signature file URL (if uploaded)
Note: This endpoint is only available for employee accounts (not organization members). To check if a user is an employee, use GET /api/public/account/info and check the type field.
GET
/account/employee/dataAuthorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:reador
AuthorizationBearer token (JWT) · headerrequiredResponses
200
addressCitystring | nullrequiredCity
addressCountrystring | nullrequiredCountry
addressHouseNumberstring | nullrequiredHouse number
addressStreetstring | nullrequiredStreet address
addressZipstring | nullrequiredZIP code
birthDatestring<date-time> | nullrequiredBirth date
degreestring | nullrequiredDegree
emailstring | nullrequiredEmail address
firstNamestring | nullrequiredFirst name
idstringrequiredEmployee ID
lastNamestring | nullrequiredLast name
phonestring | nullrequiredPhone number
signatureUrlstring | nullrequiredWorkspace-authenticated signature file URL. Send the Public API Bearer token when downloading it.
titlestring | nullrequiredJob title
401
Unauthorized - Invalid or missing authentication token
403
Forbidden - Insufficient API scopes or permissions
404
Employee data not found